"""
tested on uiflow for stickc v1.8.1
"""

# pylint: disable=import-error
import m5ui
import machine
from m5stack import lcd, axp

print("battery:", axp.getBatVoltage(), "V")

m5ui.setScreenColor(0x000000)  # clear screen
screen_width, screen_height = lcd.winsize()
# https://github.com/m5stack/UIFlow-Code/wiki/M5UI#textbox
time_text_box = m5ui.M5TextBox(
    screen_width - 1, 0, "HH:MM", lcd.FONT_DejaVu40, 0xFFFFFF, rotate=90
)

# > [contradictory to] official micropython documentation,
# > to set RTC, use particular tuple (year , month, day, week=0, hour, minute, second, timestamp=0)
# https://community.m5stack.com/topic/3108/m5stack-core2-micropython-rtc-example
rtc = machine.RTC()
time_text_box.setText("{}:{}".format(*rtc.datetime()[4:6]))
